/*  Copyright (C) 2017 Nicholas C. Strauss (strauss@positive-internet.com)
    This file is part of ORBTIMES.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "planetsIndex.h"

#ifndef __GLOBALSH__
#define __GLOBALSH__
/*******************************************
 GLOBALS 
********************************************/
MAIN double       
  jdays_now,                              // NOW julian days since 1900
  jdays_sunrise, 
  jdays_sunset,     
  jdays_twilight_rise,
  jdays_twilight_set,
  sun_azimuth,
  sun_altitude,
  jdays_moonrise,
  jdays_moonset,
  jdays_moon_azimuth_rise,
  jdays_moon_azimuth_set,
  jdays_moon_azimuth,
  jdays_moon_altitude,
  jdays_planets_rise[MAXPLANETS],                   // what about Earth and poor Pluto :)
  jdays_planets_set[MAXPLANETS],                    // what about Earth and poor Pluto :)
  jdays_planets_azimuth_rise[MAXPLANETS],                   // what about Earth and poor Pluto :)
  jdays_planets_azimuth_set[MAXPLANETS],                    // what about Earth and poor Pluto :)
  jdays_planets_azimuth[MAXPLANETS],                   // what about Earth and poor Pluto :)
  jdays_planets_alitude[MAXPLANETS],                    // what about Earth and poor Pluto :)
  now_day, 
  now_month, 
  now_year, 
  now_dayOfWeek, 
  now_hour;
MAIN int
  nighttime,
  daytime,
  moon_nighttime,
  moon_daytime,
  planets_nighttime[MAXPLANETS],
  planets_daytime[MAXPLANETS];

#include "parse_options.h"
MAIN Options sun_options;
#endif
