/*  Copyright (C) 2017 Nicholas C. Strauss (strauss@positive-internet.com)
    This file is part of ORBTIMES.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef __MOON3__
#define __MOON3__

void compute_moon_az_el(extended dj, extended ut, extended tz, extended ds,
			extended gl, extended gp, extended solar_lon,
			extended &ecliptic_lat, extended &ecliptic_lon,
			extended &ra, extended &dec, extended &value_min, extended &value_max, extended &az, extended &el, extended &phase, extended &distance_to_moon);
void compute_parallax(double &p, double &q, double x, double y, double gl, double gp, double dj, double ut, double ht, double hp);
#endif
