/*  Copyright (C) 2017 Nicholas C. Strauss (strauss@positive-internet.com)
    This file is part of ORBTIMES.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef __MOONRISEH__
#define __MOONRISEH__

void moon_calculate_rise(extended &utu, extended &utd, 
			 extended dj, extended tz, extended ds,
			 extended gl, extended gp, int& never_rises, int& never_sets,
			 extended &au, extended &ad, int &rise_converges, int &set_converges );

void moon_calculate_rise_tilnow(extended &utu, extended &dju, extended &utd, extended &djd,
				extended dj00, extended tz, extended ds,
				extended gl, extended gp, extended now, int now_hour, int& never_rises, int& never_sets,
				extended &au, extended &ad, int &rise_converges, int &set_converges );

#endif
